import { GraphQueryResult } from '../data-access/store/graphQueryResultSlice';
import { ML } from '../data-access/store/mlSlice';
import { SchemaGraph } from '../schema';
import type { AppDispatch } from '../data-access';
import { FC } from 'react';
import { Visualizations } from './manager';

export type VisualizationConfiguration = { [id: string]: any };

export type VISComponentType = {
  displayName: keyof typeof Visualizations;
  component: FC<any>;
  settings: FC<any>;
  configuration: { [id: string]: any };
};

export type VisualizationPropTypes = {
  data: GraphQueryResult;
  schema: SchemaGraph;
  ml: ML;
  configuration: VisualizationConfiguration;
  dispatch: AppDispatch;
  handleHover: (val: any) => void;
  handleSelect: (val: any) => void;
};
